Description

I think that the workflow index(../workflows) could be more useful made like that:

a drop down on the top, to choose the tracker, and then a grid showing on the x and y axis all the statuses (on the y-axis the "from"

status, and on the x-axis the "to" status), and in the grid, in every cell, the list of the roles that have permission to change the status

from that "from" to that "to" status.

In addition, every role can be a link to the page of editing.

This way it is possible to have a real overview of the workflow on every tracker, information that is not available easily at the moment

History

#1 - 2013-04-10 17:56 - Dipan Mehta

If I understand correctly, the current workflow for state transition is exactly the same way. We should ask for more feedback else close this issue.

#2 - 2013-04-11 13:17 - Toshi MARUYAMA

- Category set to Issues workflow

- Status changed from New to Needs feedback

#3 - 2013-04-11 14:58 - Daniel Felix

- Due date set to 2013-04-25

Please give Feedback until 25th April, otherwise this issue will be closed. Thanks! :-)

Best regards,

Daniel

#4 - 2013-04-11 15:06 - Chiara Canavera

I tried to see the workflow page on the demo admin site, but I have an error while loading the preferences

I opened the defect #12950

#5 - 2013-04-15 11:31 - Chiara Canavera

I asked for a revision of the /workflows page, but it seems unchanged

I find that is not readable as it is now

#6 - 2013-05-07 09:54 - Daniel Felix

- Due date changed from 2013-04-25 to 2013-05-26

Hm well your description in the initial comment sounds like the current way.

If you mean something else, please provide a screenshot or some sketch which illustrates your idea.

#7 - 2013-05-07 10:56 - Chiara Canavera

- File redmine_ex.jpg added

#8 - 2013-05-08 17:43 - Toshi MARUYAMA

- Due date deleted (2013-05-26)

2025-07-09 1/2

https://www.redmine.org/issues/12950


- Status changed from Needs feedback to New

Files

redmine_ex.jpg 39.8 KB 2013-05-07 Chiara Canavera

Powered by TCPDF (www.tcpdf.org)

2025-07-09 2/2

http://www.tcpdf.org

